// Garden Gnome Software - Skin
// Pano2VR pro 4.1.0/3404
// Filename: test.ggsk
// Generated Fri Jul 26 13:39:19 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._initial_settings=document.createElement('div');
		this._initial_settings.ggId='initial settings';
		this._initial_settings.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._initial_settings.ggVisible=true;
		this._initial_settings.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 76px;';
		hs+='top:  10px;';
		hs+='width: 50px;';
		hs+='height: 50px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._initial_settings.setAttribute('style',hs);
		this._xx_hints=document.createElement('div');
		this._xx_hints.ggId='$xx hints';
		this._xx_hints.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._xx_hints.ggVisible=false;
		this._xx_hints.className='ggskin ggskin_image';
		hs ='position:absolute;';
		hs+='left: 89px;';
		hs+='top:  90px;';
		hs+='width: 224px;';
		hs+='height: 163px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._xx_hints.ggParameter) + ';';
		hs+='visibility: hidden;';
		this._xx_hints.setAttribute('style',hs);
		this._xx_hints__img=document.createElement('img');
		this._xx_hints__img.setAttribute('src',basePath + '../skin/xx_hints.jpg');
		this._xx_hints__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._xx_hints__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._xx_hints__img);
		this._xx_hints.appendChild(this._xx_hints__img);
		this._initial_settings.appendChild(this._xx_hints);
		this.divSkin.appendChild(this._initial_settings);
		this._container=document.createElement('div');
		this._container.ggId='Container';
		this._container.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container.ggVisible=true;
		this._container.className='ggskin ggskin_container';
		this._container.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				h=this.parentNode.offsetHeight;
				this.style.top=(-60 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: 12px;';
		hs+='top:  -60px;';
		hs+='width: 74px;';
		hs+='height: 53px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		this._container.setAttribute('style',hs);
		this._frame1=document.createElement('div');
		this._frame1.ggId='frame1';
		this._frame1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._frame1.ggVisible=true;
		this._frame1.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 71px;';
		hs+='height: 52px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #ffffff;';
		this._frame1.setAttribute('style',hs);
		this._shadow=document.createElement('div');
		this._shadow.ggId='shadow';
		this._shadow.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._shadow.ggVisible=true;
		this._shadow.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 52px;';
		hs+='height: 37px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #000000;';
		hs+='background: rgba(0,0,0,0.12549);';
		hs+='border: 0px solid #000000;';
		this._shadow.setAttribute('style',hs);
		this._frame1.appendChild(this._shadow);
		this._container.appendChild(this._frame1);
		this._thumb1=document.createElement('div');
		this._thumb1.ggId='thumb1';
		this._thumb1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb1.ggVisible=true;
		this._thumb1.className='ggskin ggskin_external';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 71px;';
		hs+='height: 52px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+='opacity: 0.3;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumb1.setAttribute('style',hs);
		this._thumb1__img=document.createElement('img');
		this._thumb1__img.setAttribute('src',basePath + '');
		this._thumb1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._thumb1__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._thumb1__img);
		this._thumb1.appendChild(this._thumb1__img);
		this._thumb1.onclick=function () {
			me.player.openNext("","");
			var list=me.findElements('frame.*',true);
			while(list.length>0) {
				var e=list.pop();
				if (me.player.transitionsDisabled) {
					e.style[domTransition]='none';
				} else {
					e.style[domTransition]='all 500ms ease-out 0ms';
				}
				e.style.opacity='0';
				e.style.visibility='hidden';
			}
			if (me.player.transitionsDisabled) {
				me._frame1.style[domTransition]='none';
			} else {
				me._frame1.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._frame1.style.opacity='0';
			me._frame1.style.visibility='hidden';
		}
		this._thumb1.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._thumb1.style[domTransition]='none';
			} else {
				me._thumb1.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._thumb1.style.opacity='1';
			me._thumb1.style.visibility=me._thumb1.ggVisible?'inherit':'hidden';
		}
		this._thumb1.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._thumb1.style[domTransition]='none';
			} else {
				me._thumb1.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._thumb1.style.opacity='0.3';
			me._thumb1.style.visibility=me._thumb1.ggVisible?'inherit':'hidden';
		}
		this._container.appendChild(this._thumb1);
		this.divSkin.appendChild(this._container);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
			me._thumb1.ggText=me.player.userdata.comment+"\/thumb1.jpg";
			me._thumb1__img.src=me._thumb1.ggText;
			if (me._thumb1.ggUpdateText) {
				me._thumb1.ggUpdateText=function() {
					var hs=me.player.userdata.comment+"\/thumb1.jpg";
					if (hs!=me._thumb1.ggText) {
						me._thumb1.ggText=hs;
						me._thumb1__img.src=hs;
					}
				}
			}
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};